curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/rewards-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"epoch": 1,
"chain": "mainnet",
"cursor": "",
"page_size": 10
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"total": "<string>",
"total_reward": "<string>",
"total_penalty": "<string>",
"attestation": {
"head": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"source": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"target": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"inactivity_leak_penalty": "<string>",
"total": "<string>",
"inclusion_delay": {
"total": "<string>",
"missed_reward": "<string>"
}
},
"sync_committee": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"proposal": {
"total": "<string>",
"execution_layer_reward": "<string>",
"attestation_inclusion_reward": "<string>",
"sync_inclusion_reward": "<string>",
"slashing_inclusion_reward": "<string>",
"missed_cl_reward": "<string>",
"missed_el_reward": "<string>"
},
"finality": "not_finalized",
"total_missed": "<string>"
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Returns a breakdown of rewards for each validator for a given epoch.
Use Rewards Aggregated for a cumulative view of all validator rewards combined.
Note: Only finalized epochs are supported for rewards data.
Attribution Required: If you display BeaconScore data publicly, you must include appropriate attribution. See our BeaconScore License and License Materials for badges and usage guidelines.
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/validators/rewards-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validator": {
"validator_identifiers": [
1
]
},
"epoch": 1,
"chain": "mainnet",
"cursor": "",
"page_size": 10
}
'{
"data": [
{
"validator": {
"index": 1,
"public_key": "<string>"
},
"total": "<string>",
"total_reward": "<string>",
"total_penalty": "<string>",
"attestation": {
"head": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"source": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"target": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"inactivity_leak_penalty": "<string>",
"total": "<string>",
"inclusion_delay": {
"total": "<string>",
"missed_reward": "<string>"
}
},
"sync_committee": {
"total": "<string>",
"reward": "<string>",
"penalty": "<string>",
"missed_reward": "<string>"
},
"proposal": {
"total": "<string>",
"execution_layer_reward": "<string>",
"attestation_inclusion_reward": "<string>",
"sync_inclusion_reward": "<string>",
"slashing_inclusion_reward": "<string>",
"missed_cl_reward": "<string>",
"missed_el_reward": "<string>"
},
"finality": "not_finalized",
"total_missed": "<string>"
}
],
"range": {
"slot": {
"start": 1,
"end": 1
},
"epoch": {
"start": 1,
"end": 1
},
"timestamp": {
"start": 1,
"end": 1
}
},
"paging": {
"next_cursor": "<string>"
}
}Free selectors available to all users:
Premium selectors for Scale & Enterprise plans (https://beaconcha.in/pricing):
sub_entity for more specific filtering. Matching is case-insensitive.Note: The set of validators matched by deposit_address and withdrawal selectors is updated once per epoch (~6.4 minutes). Newly deposited validators may take up to one epoch to appear in query results.
Note: The set of validators matched by entity selector is updated once per day.
Show child attributes
x >= 0The Ethereum chain to query.
mainnet, hoodi Cursor value for pagination. See our pagination guide for more details.
The number of items to return per page.
1 <= x <= 10Successful response.
Was this page helpful?